#ifndef RTLOCALE_H
#define RTLOCALE_H

/*********
* LOCALE *
*********/

#include <libraries/locale.h>
#include "general.h"
#include "catalog.h"

#include "globalvars.h"

const char *REGARGS _GetStr (struct Catalog *, const char *,
			     struct IntReqToolsBase *IntReqToolsBase);

#define GetStr(x) _GetStr(glob->catalog, (x), IntReqToolsBase)

struct Catalog *REGARGS RT_OpenCatalog (struct Locale *,
					struct IntReqToolsBase *IntReqToolsBase);

void REGARGS RT_CloseCatalog (struct Catalog *,
			      struct IntReqToolsBase *IntReqToolsBase);

#endif /* RTLOCALE_H */
